import time

from compLib.CompLibClient import CompLibClient
from compLib.IRSensor import IRSensor


def main():
    # Motor.speed(0, -50)
    # Motor.speed(3, 50)

    # Motor.power(0, 50)
    # Motor.power(3, -50)
    #
    # time.sleep(2)
    #
    # Motor.power(0, 0)
    # Motor.power(3, -0)

    start_time = time.time()
    for i in range(0, 1000):
        IRSensor.read_all()
        # Motor.multiple_power((0, 1), (3, 1))
        # Motor.speed(0, 1)
        # Motor.speed(3, 1)

    print(1000.0 / (time.time() - start_time))


if __name__ == '__main__':
    # CompLibClient.use_tcp_socket("dev03.local")
    CompLibClient.use_unix_socket()
    # follow()
    # cProfile.run("main()")
    main()
